/*
 *   CrissCross
 *   A multi-purpose cross-platform library.
 *
 *   A product of Uplink Laboratories.
 *
 *   (c) 2006-2022 Steven Noonan.
 *   Licensed under the New BSD License.
 *
 */

#ifndef __included_cc_crisscross_h
#define __included_cc_crisscross_h

#define CC_LIB_NAME                "CrissCross"

#define CC_LIB_URL                 "http://www.uplinklabs.net/crisscross/"
#define CC_LIB_COPYRIGHT           "(c) 2006-2022 by Uplink Laboratories. Licensed under the New BSD License."
#define CC_LIB_NDS_COPYRIGHT       "(c) by Uplink Laboratories.\nLicensed under the BSD License."

#include <crisscross/version.h>
#include <crisscross/platform_detect.h>
#include <crisscross/cc_attr.h>
#include <crisscross/datatypes.h>
#include <crisscross/string_utils.h>
#include <crisscross/sort.h>
#include <crisscross/filesystem.h>
#include <crisscross/dstack.h>
#include <crisscross/darray.h>
#include <crisscross/llist.h>
#include <crisscross/node.h>
#include <crisscross/hash.h>
#include <crisscross/hashtable.h>
#include <crisscross/stltree.h>
#include <crisscross/splaytree.h>
#include <crisscross/avltree.h>
#include <crisscross/rbtree.h>
#include <crisscross/stree.h>
#include <crisscross/error.h>
#include <crisscross/core_io.h>
#include <crisscross/console.h>
#include <crisscross/debug.h>
#include <crisscross/stopwatch.h>
#include <crisscross/system.h>

#endif
